# Active Context

## Current Work Focus
- The script is stable and functional, continuously reading temperature and humidity from a Modbus TCP device and publishing the data to an MQTT broker in pretty-printed JSON format.
- The main focus is on reliability, error handling, and clear logging.

## Recent Changes
- Improved JSON formatting for MQTT payloads (pretty print with indent).
- Refined temperature calibration logic (subtracting 40 from raw value after scaling).
- Enhanced logging for all major events and error conditions.
- All configuration is now at the top of the script for easier modification.

## Next Steps
- Optional: Parameterize configuration via environment variables or a config file for easier deployment.
- Optional: Add support for additional Modbus registers or sensors.
- Optional: Implement more advanced error recovery or alerting (e.g., email/SMS on repeated failures).
- Optional: Containerize the application for easier deployment in production environments. 