# Progress

## What Works
- The script successfully connects to both the Modbus TCP device and the MQTT broker.
- Temperature and humidity data are read from the correct Modbus registers and calibrated as per device documentation.
- Data is published to the MQTT topic in a pretty-printed JSON format.
- Logging provides clear feedback on all major events and errors.
- The script handles connection failures and retries in the main loop.

## What's Left to Build
- (Optional) Configuration via environment variables or external config file.
- (Optional) Support for additional sensors or Modbus registers.
- (Optional) Advanced error notification (e.g., email/SMS alerts).
- (Optional) Dockerfile or deployment scripts for production use.

## Current Status
- The project is functional and meets its core requirements for a Modbus-to-MQTT bridge.
- Ready for deployment in environments matching the current configuration.

## Known Issues
- All configuration is hardcoded; not ideal for dynamic or multi-environment deployments.
- No persistent storage or buffering if MQTT broker is temporarily unavailable.
- No web UI or REST API for monitoring or control. 